Requirements

The requirements for MS ImageCompressor are:

Minimal Recommended
PHP 5.5 7.0+
Joomla! 3.4 3.6+

You will need an active subscription to compress images.